%define major		0
%define libname		%mklibname stemmer %{major}
%define develname	%mklibname stemmer -d

Summary:	The C version of the libstemmer library
Name:		libstemmer
Version:	2.2.0
Release:	%mkrel 2
Group:		System/Libraries
License:	BSD
URL:		https://snowballstem.org/
Source0:	https://snowballstem.org/dist/libstemmer_c-%{version}.tar.gz
Patch1:		libstemmer-shared-lib.patch

%description
Snowball is a small string processing language designed for
creating stemming algorithms for use in Information Retrieval.  This
package contains all you need to include the snowball stemming algorithms
into a C project of your own.

%package -n	%{libname}
Summary:	The C version of the libstemmer library
Group:		System/Libraries

%description -n %{libname}
This package contains the files to dynamically link against the C version
of the libstemmer library.

%package -n	%{develname}
Summary:	Library and header files for the libstemmer library
Group:		Development/C
Provides:	%{name}-devel%{?_isa} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
This package contains the libstemmer library and its header
files.

%package -n	stemwords
Summary:	The stemwords utility using the libstemmer library
Group:		System/Libraries

%description -n	stemwords
The stemwords utility using the libstemmer library.

%prep
%autosetup -n libstemmer_c-%{version} -p1

%build
make libstemmer.so stemwords \
    CFLAGS="%{optflags} -Wall -Iinclude -fPIC -DPIC -D_REENTRANT" \
    LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}/%{name}
install -p -D -m 755 libstemmer.so.%{major}.0.0 %{buildroot}%{_libdir}/
ln -s libstemmer.so.%{major}.0.0 %{buildroot}%{_libdir}/libstemmer.so.0
ln -s libstemmer.so.%{major}.0.0 %{buildroot}%{_libdir}/libstemmer.so
install -p -D -m 644 include/* %{buildroot}%{_includedir}/%{name}/
install -p -D -m 644 src_c/*.h %{buildroot}%{_includedir}/%{name}/
install -p -D -m 644 runtime/*.h %{buildroot}%{_includedir}/%{name}/
install -p -D -m 644 libstemmer/*.h %{buildroot}%{_includedir}/%{name}/
install -p -D -m 755 stemwords %{buildroot}%{_bindir}/

# fix location
perl -pi -e "s|\.\./src_c/||g" %{buildroot}%{_includedir}/%{name}/modules.h

%files -n %{libname}
%license COPYING
%doc README NEWS
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}.so

%files -n stemwords
%{_bindir}/stemwords


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 2.2.0-2.mga9
+ Revision: 1793751
- Mageia 9 Mass Rebuild

* Mon Jan 03 2022 wally <wally> 2.2.0-1.mga9
+ Revision: 1766487
- new version 2.2.0

* Thu Dec 03 2020 wally <wally> 2.0.0-3.git.c70ed64.20191001.mga8
+ Revision: 1652196
- make stemwords to use shared lib

* Thu Dec 03 2020 wally <wally> 2.0.0-2.git.c70ed64.20191001.mga8
+ Revision: 1652140
- fix missing lib symbols

* Wed Dec 02 2020 luigiwalser <luigiwalser> 2.0.0-1.git.c70ed64.20191001.mga8
+ Revision: 1651825
- update to upstream 2.0.0 release
+ danf <danf>
- The static library isn't included so fix the description

* Wed Feb 26 2020 umeabot <umeabot> 0-18.git.6b3b8b5.20160930.mga8
+ Revision: 1550753
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0-17.git.6b3b8b5.20160930.mga7
+ Revision: 1299172
- Mageia 7 Mass Rebuild

* Fri Sep 30 2016 ngompa <ngompa> 0-16.git.6b3b8b5.20160930.mga6
+ Revision: 1057846
- Update libstemmer snapshot

* Fri Apr 22 2016 daviddavid <daviddavid> 0-15.mga6
+ Revision: 1004915
- use more appropriate LDFLAGS thus fixing build

* Thu Feb 11 2016 umeabot <umeabot> 0-14.mga6
+ Revision: 955797
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0-13.mga5
+ Revision: 747507
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0-12.mga5
+ Revision: 681801
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 wally <wally> 0-11.mga5
+ Revision: 661150
- get rid of .la files

* Fri Oct 18 2013 umeabot <umeabot> 0-10.mga4
+ Revision: 507327
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0-9.mga3
+ Revision: 358217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 29 2012 malo <malo> 0-8.mga2
+ Revision: 203099
- spec clean-up after import from Mandriva.
- imported package libstemmer


* Sun Dec 27 2009 Oden Eriksson <oeriksson@mandriva.com> 0-8mdv2010.1
+ Revision: 482823
- new source, same "version"

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0-7mdv2010.0
+ Revision: 425752
- rebuild

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0-6mdv2009.1
+ Revision: 315606
- use LDFLAGS from the %%configure macro

* Tue Jul 15 2008 Oden Eriksson <oeriksson@mandriva.com> 0-5mdv2009.0
+ Revision: 235927
- pass -Wl,--as-needed -Wl,--no-undefined to LDFLAGS

* Tue Jun 10 2008 Oden Eriksson <oeriksson@mandriva.com> 0-4mdv2009.0
+ Revision: 217701
- new unknown version
- rediffed the libtool patch
- install more headers

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Feb 01 2008 Oden Eriksson <oeriksson@mandriva.com> 0-3mdv2008.1
+ Revision: 161224
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0-2mdv2008.0
+ Revision: 83629
- new devel naming


* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0-1mdv2007.0
+ Revision: 94243
- Import libstemmer

* Sun Feb 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0-1mdk
- initial Mandriva package

